Index: trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1576)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1582)
@@ -1,111 +1,38 @@
 # $Id$
-all: ioipsl $(RUN)
+all: launch
 
-ioipsl:
-#-Q- sx8brodie	(cd ../../modeles/IOIPSL/src; sxgmake;)
-#-Q- sx8mercure	(cd ../../modeles/IOIPSL/src; sxgmake;)
-#-Q- aix6	(cd ../../modeles/IOIPSL/src; gmake;)
-#-Q- osxxlf	(cd ../../modeles/IOIPSL/src; gmake;)
-
-$(filter-out mpi omp, $(RUN)): omp
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) >> $(NEMOLIB)_logbook_$@.txt
-
+# Copy required scripts and launch jobs
+launch: $(RUN) $(MKMO)
 ifneq ($(JOB),nojob)
-	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
-	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
-	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mon
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_mon
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_aix6_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix6_mon
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mon
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(MPIIJ) $(RTG) $(USE_IOMPUT) $(USE_IOSERVER) $(NB_PROCS_IOSERVER) ; )
+	@for rtype in `echo $(RUN)` ; do \
+	cp    ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh      $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$$rtype/. ; \
+	cp    ../NVTK/INSTALL/JOBS/jhd_$(HPCTAR)_$$rtype   $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$$rtype/. ; \
+	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh         $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$$rtype/. ; \
+	cp    ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh        $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	cp    ../NVTK/INSTALL/JOBS/PISCES_stat.ksh         $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh          $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh           $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	cp    ../NVTK/INSTALL/JOBS/CPU_time_$(HPCTAR).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	cp    ../NVTK/INSTALL/JOBS/MEM_size_$(HPCTAR).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/.         ; \
+	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$$rtype/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) \
+          $(MPIIJ) $(RTG) $(USE_IOMPUT) $(USE_IOSERVER) $(NB_PROCS_IOSERVER) ; ) ; \
+	done
 endif
 
-omp: mpi
-ifeq ($(filter omp,$(RUN)),omp)
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) >> $(NEMOLIB)_logbook_$@.txt
+# Compilation rules
+$(RUN) memo:
+	@if [ $@ = 'mpi' ] ; then \
+	cd MY_SRC ; \
+	grep -h jpni  * | grep -v "*" | head -1 > tmp ; VAR_I=`( cat tmp )` ; rm -f tmp ; \
+	grep -h jpnj  * | grep -v "*" | head -1 > tmp ; VAR_J=`( cat tmp )` ; rm -f tmp ; \
+	grep -h jpnij * | grep -v "*" | head -1 > tmp ; VARIJ=`( cat tmp )` ; rm -f tmp ; \
+	sed -e "s%$$VAR_I%      jpni  = $$MPI_I  , \&%" \
+	    -e "s%$$VAR_J%      jpnj  = $$MPI_J  , \&%" \
+	    -e "s%$$VARIJ%      jpnij = $$MPIIJ      %" par_oce.F90_keep > par_oce.F90 ; \
+	fi
+	@gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) clean > $(NEMOLIB)_logbook_$@.txt
+	@gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) >> $(NEMOLIB)_logbook_$@.txt
+	@rm -f ./MY_SRC/par_oce.F90 > /dev/null 2>&1
 
-ifneq ($(JOB),nojob)
-	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
-	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
-	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_omp
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_omp
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(MPIIJ) $(RTG) $(USE_IOMPUT) $(USE_IOSERVER) $(NB_PROCS_IOSERVER) ; )
-endif
-
-else
-	@echo 'No omp compilation'
-endif
-
-mpi: memo
-ifeq ($(filter mpi,$(RUN)),mpi)
-	@( cd MY_SRC ; \
-        grep -h jpni  * | grep -v "*" | head -1 > $$ ; VAR_I=`( cat $$ )` ; rm -f $$ ;\
-        grep -h jpnj  * | grep -v "*" | head -1 > $$ ; VAR_J=`( cat $$ )` ; rm -f $$ ;\
-        grep -h jpnij * | grep -v "*" | head -1 > $$ ; VARIJ=`( cat $$ )` ; rm -f $$ ;\
-        sed -e "s%$$VAR_I%      jpni  = $$MPI_I  , \&%" \
-            -e "s%$$VAR_J%      jpnj  = $$MPI_J  , \&%" \
-            -e "s%$$VARIJ%      jpnij = $$MPIIJ      %" par_oce.F90_keep > par_oce.F90 ; )
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) >> $(NEMOLIB)_logbook_$@.txt
-	rm -f ./MY_SRC/par_oce.F90
-
-ifneq ($(JOB),nojob)
-	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
-	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
-	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
-	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
-	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
-	cp -p ../NVTK/INSTALL/JOBS/cron_jobs.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/cron_jobs.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8brodie_mpi
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_mpi
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
-#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_aix6_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix6_mpi
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mpi
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(MPIIJ) $(RTG) $(USE_IOMPUT) $(USE_IOSERVER) $(NB_PROCS_IOSERVER) ; )
-endif
-
-else
-	@echo 'No mpi compilation'
-endif
-
-clean:
-	(cd ../../config/$(NEMOLIB)/WORK;  gmake clean ;)
-
-memo:
-ifeq ($(MKMO),memo)
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) clean > $(NEMOLIB)_logbook_$@.txt
-	gmake -C WORK COMP=$@ EXPER=$(REXP) USE_IOMPUT=$(USE_IOMPUT) >> $(NEMOLIB)_logbook_$@.txt
-
-else
+nomemo:
 	@echo 'No memory check'
-endif
-
Index: trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef	(revision 1576)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/AA_make.ldef	(revision 1582)
@@ -23,4 +23,5 @@
 NB_PROCS_IOSERVER = 
 WWDIR=/workdir/rech/eee/reee534/AUTRE/modipsl/config/
+HPCTAR=
 #---------------------------------------------------------------------
 #-
Index: trunk/NVTK/INSTALL/ins_nvtk.ksh
===================================================================
--- trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1576)
+++ trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1582)
@@ -75,16 +75,19 @@
 cp ./MODIPSL_FILES/ins_make ../../../util/.
 
+# Get the current target name
+LOCTARG=`../../../util/w_i_h`
+
 # Set following variable in AA_make.ldef script And master Makefile
 # - WWDIR = directory where to store results and jobs
 CAR_WORK_tmp=$( grep 'WWDIR=' ./CONFIG_FILES/AA_make.ldef )
 CAR_WORK=`echo $CAR_WORK_tmp | cut -f 1 -d " " `
-sed -e "s?${CAR_WORK}?WWDIR=${OUTDIR}?" ./CONFIG_FILES/AA_make.ldef > ./CONFIG_FILES/AA_make.ldef.$$ 
+CAR_TARG_tmp=$( grep 'HPCTAR=' ./CONFIG_FILES/AA_make.ldef )
+CAR_TARG=`echo $CAR_TARG_tmp`
+sed -e "s?${CAR_WORK}?WWDIR=${OUTDIR}?" -e "s?${CAR_TARG}?HPCTAR=${LOCTARG}?" \
+       ./CONFIG_FILES/AA_make.ldef > ./CONFIG_FILES/AA_make.ldef.$$ 
 mv ./CONFIG_FILES/AA_make.ldef.$$  ./CONFIG_FILES/AA_make.ldef && rm -f ./CONFIG_FILES/AA_make.ldef.$$
 
 sed -e "s?DELFIL?${OUTDIR}?" ../Makefile > ../Makefile.$$ 
 mv ../Makefile.$$  ../Makefile && rm -f ../Makefile.$$
-
-# Get the current target name
-LOCTARG=`../../../util/w_i_h`
 
 # Loop over each standard configuration
Index: trunk/NVTK/Makefile
===================================================================
--- trunk/NVTK/Makefile	(revision 1576)
+++ trunk/NVTK/Makefile	(revision 1582)
@@ -78,5 +78,5 @@
 	@echo "CONFIGURATION :" $@
 	@( if [ ! -d ${NAM_V} ] ; then mkdir ${NAM_V} ;  fi ; )
-	@( cd ${NAM_V} ; MYREP_LIST=`( ls *.[Ffh]90 )` ; cd ../../$@/MY_SRC ; rm -rf *.[Ffh]90 ; \
+	@( cd ${NAM_V} ; MYREP_LIST=`( ls *.[Ffh]90 > /dev/null 2>&1 )` ; cd ../../$@/MY_SRC ; rm -rf *.[Ffh]90 ; \
         if [ -n "$$MYREP_LIST" ] ; then ln -sf ../../NVTK/${NAM_V}/*.[Ffh]90 . ; fi ; )
 	@echo "test=" $(NAM_V)                               >  DELFIL/NEMO_VALID/W$@/infos/specifs_$(NAM_V).txt
@@ -88,5 +88,5 @@
 	@echo `svn info ../../modeles/NEMO | grep URL`       >> DELFIL/NEMO_VALID/W$@/infos/specifs_$(NAM_V).txt
 	@echo `svn info ../../modeles/NEMO | grep Revision ` >> DELFIL/NEMO_VALID/W$@/infos/specifs_$(NAM_V).txt
-	@( cd ${NAM_V} ; LSFILES=`( ls *.[Ffh]90 )` ; if [ -n "$$LSFILES" ] ; then \
+	@( cd ${NAM_V} ; LSFILES=`( ls *.[Ffh]90 > /dev/null 2>&1 )` ; if [ -n "$$LSFILES" ] ; then \
         echo $$LSFILES >> DELFIL/NEMO_VALID/W$@/infos/specifs_$(NAM_V).txt ; else \
         echo "  " >> DELFIL/NEMO_VALID/W$@/infos/specifs_$(NAM_V).txt ; fi ; )
@@ -118,5 +118,5 @@
 	    echo ; \
 	    cd ${NAM_V} ; \
-	    MYREP_LIST=`( ls *.[Ffh]90 )` ; \
+	    MYREP_LIST=`( ls *.[Ffh]90 > /dev/null 2>&1 )` ; \
             cd ../../$$conf/MY_SRC ; rm -rf *.[Ffh]90 ; \
             if [ -n "$$MYREP_LIST" ] ; \
@@ -185,5 +185,5 @@
             done ; \
             cd $$myrep ; \
-            myrep_list=`( ls *.[Ffh]90 )` ; \
+            myrep_list=`( ls *.[Ffh]90 > /dev/null 2>&1 )` ; \
             cd ../WORK ; \
             if [ -n "$$myrep_list" ] ; then \
Index: trunk/NVTK/fait_AA_make
===================================================================
--- trunk/NVTK/fait_AA_make	(revision 1576)
+++ trunk/NVTK/fait_AA_make	(revision 1582)
@@ -623,5 +623,5 @@
 echo '    [ -f $$i ] && \$(RM) $$i ;\'
 echo '  done ; \'
-echo '  myrep_list=`(cd $$myrep ; ls *.[Ffh]90 *.[Ffh] *.mk)` ; \'
+echo '  myrep_list=`(cd $$myrep ; ls *.[Ffh]90 *.[Ffh] *.mk > /dev/null 2>&1 )` ; \'
 echo '  if [ -n "$$myrep_list" ] ; then \'
 echo '      for F in $$myrep_list; do \'