Index: trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1589)
+++ trunk/NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh	(revision 1591)
@@ -165,5 +165,5 @@
                awk '( /\[/ && /\]/ ) && /MFLOPS/                { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
                awk '( /\[/ && /\]/ ) && /Average Vector Length/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
-               awk '( /\[/ && /\]/ ) && /Memory size used/ && ! /Global/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile2} >> ${zout}
+               awk '( /\[/ && /\]/ ) && /Memory size used/ && ! /Global/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
                echo " " >> ${zout} 
            
Index: trunk/NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh	(revision 1589)
+++ trunk/NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh	(revision 1591)
@@ -165,5 +165,5 @@
                awk '( /\[/ && /\]/ ) && /MFLOPS/                { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
                awk '( /\[/ && /\]/ ) && /Average Vector Length/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
-               awk '( /\[/ && /\]/ ) && /Memory size used/ && ! /Global/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile2} >> ${zout}
+               awk '( /\[/ && /\]/ ) && /Memory size used/ && ! /Global/ { printf( "%-7s %.29s  %10.2f \n", " ", $0 , $NF) }' ${zfile1} >> ${zout}
                echo " " >> ${zout} 
            
Index: trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1589)
+++ trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1591)
@@ -9,8 +9,7 @@
 # configuration are finished 
 #
-# INPUT ARGS: 1 optional
-#     - TODO: (optional) Arg=yes or empty to build 
-#             output files including timing results. 
-#             Specific to Zahir
+# INPUT ARGS: 1 
+#    - EXPER: name of the experience for which the 
+#             assessment will be done
 #
 # WORK: It aims to (for each standard configuration) :
@@ -63,5 +62,4 @@
 CONF=`basename $( pwd ) | cut -c2-`
 EXPER=$1
-TODO=$2
 TARGET=sx8brodie
 INFOF="./infos/specifs_${EXPER}.txt"
@@ -438,7 +436,5 @@
 echo "                                                        " >> ${OUTPUTF}
 
-test -n "${TODO}"
-id2do=$?
-if [ ${id2do} == 0 -a ${TARGET} = 'aix6' ] ; then concat_perf ${CONFS} ; fi
+if [ ${TARGET} = 'aix6' -a ${VTIME} = 'timing' ] ; then concat_perf ${CONFS} ; fi
 
 #@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@ -447,5 +443,5 @@
 # I. CHECK EXECUTABLE MEMORY SIZE
 # ###############################
-filecs="mon/LONG/${EXPER}/memory_size.txt" ;  filers="mon/LONG/${REF_TAG}/memory_size.txt"
+filecs="mon/LONG/${EXPER}/memory_size.txt"  ;  filers="mon/LONG/${REF_TAG}/memory_size.txt"
 filecm="mon/LONG/${EXPER}/mon${CONFS}_err"  ;  filerm="mon/LONG/${REF_TAG}/mon${CONFS}_err"
 xfilecs=0  ; xfilecm=0 ; xfilers=0 ; xfilerm=0
@@ -455,8 +451,8 @@
 echo "                                                        " >> ${OUTPUTF}
 #--------
-checkfile ${filecs} ${OUTPUTF} DIFF yes ; xfilecs=$?
-checkfile ${filers} ${OUTPUTF} DIFF no  ; xfilers=$?
-checkfile ${filecm} ${OUTPUTF} DIFF no  ; xfilecm=$?
-checkfile ${filerm} ${OUTPUTF} DIFF no  ; xfilerm=$?
+                  checkfile ${filecs} ${OUTPUTF} DIFF yes ; xfilecs=$?
+[ ${REF_TAG} ] && checkfile ${filers} ${OUTPUTF} DIFF no  ; xfilers=$?
+                  checkfile ${filecm} ${OUTPUTF} DIFF no  ; xfilecm=$?
+[ ${REF_TAG} ] && checkfile ${filerm} ${OUTPUTF} DIFF no  ; xfilerm=$?
 
 # If current version files exist
@@ -503,6 +499,11 @@
 
         # Check that timing file for the ${runt} reference version exist
-        filerv="${runt}/GTIME/${REF_TAG}/${runt}${CONFS}_err" 
-        checkfile ${filerv} ${OUTPUTF} NORM no ; xfilerv=$?
+        if [ ${REF_TAG} ] ; then 
+            filerv="${runt}/GTIME/${REF_TAG}/${runt}${CONFS}_err" 
+            checkfile ${filerv} ${OUTPUTF} NORM no ; xfilerv=$?
+        else 
+            filerv='NoFile'
+            xfilerv=1
+        fi
         echo "                                                             " >> ${OUTPUTF}
 