Index: trunk/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 1577)
+++ trunk/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 1601)
@@ -1,16 +1,14 @@
 MODULE dom_oce
-   !!----------------------------------------------------------------------
+   !!======================================================================
    !!                       ***  MODULE dom_oce  ***
    !!       
    !! ** Purpose :   Define in memory all the ocean space domain variables
-   !!----------------------------------------------------------------------
-   !! History :
-   !!   9.0  !  05-10  (A. Beckmann, G. Madec)  reactivate s-coordinate 
-   !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
+   !!======================================================================
+   !! History :  1.0  ! 2005-10  (A. Beckmann, G. Madec)  reactivate s-coordinate 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-   !! * Modules used
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
    USE par_oce      ! ocean parameters
 
@@ -20,81 +18,106 @@
 
    !!----------------------------------------------------------------------
+   !! time & space domain namelist
+   !! ----------------------------
+   !                                              !!* Namelist namdom : time & space domain *
+   INTEGER , PUBLIC ::   nn_bathy     =  0         !: = 0/1 ,compute/read the bathymetry file
+   REAL(wp), PUBLIC ::   rn_e3zps_min = 5.0_wp     !: miminum thickness for partial steps (meters)
+   REAL(wp), PUBLIC ::   rn_e3zps_rat = 0.1_wp     !: minimum thickness ration for partial steps
+   INTEGER , PUBLIC ::   nn_msh       = 0          !: = 1 create a mesh-mask file
+   INTEGER , PUBLIC ::   nn_acc       = 0          !: = 0/1 use of the acceleration of convergence technique
+   REAL(wp), PUBLIC ::   rn_atfp      = 0.1_wp     !: asselin time filter parameter
+   REAL(wp), PUBLIC ::   rn_rdt       = 3600._wp   !: time step for the dynamics (and tracer if nacc=0)
+   REAL(wp), PUBLIC ::   rn_rdtmin    = 3600._wp   !: minimum time step on tracers
+   REAL(wp), PUBLIC ::   rn_rdtmax    = 3600._wp   !: maximum time step on tracers
+   REAL(wp), PUBLIC ::   rn_rdth      =  800._wp   !: depth variation of tracer step
+   INTEGER , PUBLIC ::   nn_baro      = 64         !: number of barotropic time steps (key_dynspg_ts)
+   INTEGER , PUBLIC ::   nn_closea    =  0         !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
+
+   !                                          ! old non-DOCTOR names still used in the model
+   INTEGER , PUBLIC ::   ntopo                !: = 0/1 ,compute/read the bathymetry file
+   REAL(wp), PUBLIC ::   e3zps_min            !: miminum thickness for partial steps (meters)
+   REAL(wp), PUBLIC ::   e3zps_rat            !: minimum thickness ration for partial steps
+   INTEGER , PUBLIC ::   nmsh                 !: = 1 create a mesh-mask file
+   INTEGER , PUBLIC ::   nacc                 !: = 0/1 use of the acceleration of convergence technique
+   REAL(wp), PUBLIC ::   atfp                 !: asselin time filter parameter
+   REAL(wp), PUBLIC ::   rdt                  !: time step for the dynamics (and tracer if nacc=0)
+   REAL(wp), PUBLIC ::   rdtmin               !: minimum time step on tracers
+   REAL(wp), PUBLIC ::   rdtmax               !: maximum time step on tracers
+   REAL(wp), PUBLIC ::   rdth                 !: depth variation of tracer step
+   INTEGER , PUBLIC ::   nclosea              !: =0 suppress closed sea/lake from the ORCA domain or not (=1)
+
+
+   !                                         !!! associated variables
+   INTEGER , PUBLIC                 ::   neuler  = 0   !: restart euler forward option (0=Euler)
+   REAL(wp), PUBLIC                 ::   atfp1         !: asselin time filter coeff. (atfp1= 1-2*atfp)
+   REAL(wp), PUBLIC, DIMENSION(jpk) ::   rdttra        !: vertical profile of tracer time step
+
+   !                                         !!* Namelist namcla : cross land advection
+   INTEGER, PUBLIC ::   nn_cla = 0            !: =1 cross land advection for exchanges through some straits (ORCA2)
+
+   !                                          ! old non-DOCTOR names still used in the model
+   INTEGER, PUBLIC ::   n_cla = 0             !: =1 cross land advection for exchanges through some straits (ORCA2)
+
+   !!----------------------------------------------------------------------
    !! space domain parameters
    !! -----------------------
-   LOGICAL, PUBLIC ::   &   !:
-      lzoom      =  .FALSE. ,   &  !: zoom flag
-      lzoom_e    =  .FALSE. ,   &  !: East  zoom type flag
-      lzoom_w    =  .FALSE. ,   &  !: West  zoom type flag
-      lzoom_s    =  .FALSE. ,   &  !: South zoom type flag
-      lzoom_n    =  .FALSE. ,   &  !: North zoom type flag
-      lzoom_arct =  .FALSE. ,   &  !: ORCA    arctic zoom flag
-      lzoom_anta =  .FALSE.        !: ORCA antarctic zoom flag
-
-   INTEGER, PUBLIC ::           & !!: namdom : space domain (bathymetry, mesh)
-      ntopo   =  0 ,            &  !: = 0/1 ,compute/read the bathymetry file
-      nmsh    =  0                 !: = 1 create a mesh-mask file
-
-   INTEGER, PUBLIC ::         &   !:
-      ! domain parameters linked to mpp
-      nperio,          &  !: type of lateral boundary condition
-      nimpp, njmpp,    &  !: i- & j-indexes for mpp-subdomain left bottom
-      nreci, nrecj,    &  !: overlap region in i and j
-      nproc,           &  !: number for local processor
-      narea,           &  !: number for local area
-      nbondi, nbondj,  &  !: mark of i- and j-direction local boundaries
-      npolj,           &  !: north fold mark (0, 3 or 4)
-      nlci, nlcj,      &  !: i- & j-dimensions of the local subdomain
-      nldi, nlei,      &  !: first and last indoor i- and j-indexes
-      nldj, nlej,      &  !:
-      noea, nowe,      &  !: index of the local neighboring processors in
-      noso, nono,      &  !: east, west, south and north directions
-      npne, npnw,      &  !: index of north east and north west processor
-      npse, npsw,      &  !: index of south east and south west processor
-      nbne, nbnw,      &  !: logical of north east & north west processor
-      nbse, nbsw,      &  !: logical of south east & south west processor
-      nidom               !: ???
-
-   INTEGER, PUBLIC, DIMENSION(jpi) ::   &   !:
-      mig                 !: local  ==> global  domain i-indice
-   INTEGER, PUBLIC, DIMENSION(jpj) ::   &   !:
-      mjg                 !: local  ==> global  domain j-indice
-   INTEGER, PUBLIC, DIMENSION( jpidta ) ::   &  !:  !!bug ==> other solution?
-      mi0, mi1            !: global ==> local domain i-indice
-      !                   !  (mi0=1 and mi1=0 if the global indice is not in the local domain)
-   INTEGER, PUBLIC, DIMENSION( jpjdta ) ::   &  !:
-      mj0, mj1            !: global ==> local domain j-indice
-      !                   ! (mi0=1 and mi1=0 if the global indice is not in the local domain)
-
-   INTEGER, PUBLIC, DIMENSION(jpnij) ::   &  !:
-      nimppt, njmppt,  &  !: i-, j-indexes for each processor
-      ibonit, ibonjt,  &  !: i-, j- processor neighbour existence
-      nlcit , nlcjt,   &  !: dimensions of every subdomain
-      nldit , nldjt,   &  !: first, last indoor index for each i-domain
-      nleit , nlejt       !: first, last indoor index for each j-domain
+   LOGICAL, PUBLIC ::   lzoom      =  .FALSE.   !: zoom flag
+   LOGICAL, PUBLIC ::   lzoom_e    =  .FALSE.   !: East  zoom type flag
+   LOGICAL, PUBLIC ::   lzoom_w    =  .FALSE.   !: West  zoom type flag
+   LOGICAL, PUBLIC ::   lzoom_s    =  .FALSE.   !: South zoom type flag
+   LOGICAL, PUBLIC ::   lzoom_n    =  .FALSE.   !: North zoom type flag
+   LOGICAL, PUBLIC ::   lzoom_arct =  .FALSE.   !: ORCA    arctic zoom flag
+   LOGICAL, PUBLIC ::   lzoom_anta =  .FALSE.   !: ORCA antarctic zoom flag
+
+   !                                     !!! domain parameters linked to mpp
+   INTEGER, PUBLIC ::   nperio            !: type of lateral boundary condition
+   INTEGER, PUBLIC ::   nimpp, njmpp      !: i- & j-indexes for mpp-subdomain left bottom
+   INTEGER, PUBLIC ::   nreci, nrecj      !: overlap region in i and j
+   INTEGER, PUBLIC ::   nproc             !: number for local processor
+   INTEGER, PUBLIC ::   narea             !: number for local area
+   INTEGER, PUBLIC ::   nbondi, nbondj    !: mark of i- and j-direction local boundaries
+   INTEGER, PUBLIC ::   npolj             !: north fold mark (0, 3 or 4)
+   INTEGER, PUBLIC ::   nlci, nldi, nlei  !: i-dimensions of the local subdomain and its first and last indoor indices
+   INTEGER, PUBLIC ::   nlcj, nldj, nlej  !: i-dimensions of the local subdomain and its first and last indoor indices
+   INTEGER, PUBLIC ::   noea, nowe        !: index of the local neighboring processors in
+   INTEGER, PUBLIC ::   noso, nono        !: east, west, south and north directions
+   INTEGER, PUBLIC ::   npne, npnw        !: index of north east and north west processor
+   INTEGER, PUBLIC ::   npse, npsw        !: index of south east and south west processor
+   INTEGER, PUBLIC ::   nbne, nbnw        !: logical of north east & north west processor
+   INTEGER, PUBLIC ::   nbse, nbsw        !: logical of south east & south west processor
+   INTEGER, PUBLIC ::   nidom             !: ???
+
+   INTEGER, PUBLIC, DIMENSION(jpi)    ::   mig        !: local  ==> global domain i-index
+   INTEGER, PUBLIC, DIMENSION(jpj)    ::   mjg        !: local  ==> global domain j-index
+   INTEGER, PUBLIC, DIMENSION(jpidta) ::   mi0, mi1   !: global ==> local  domain i-index    !!bug ==> other solution?
+   !                                                  ! (mi0=1 and mi1=0 if the global index is not in the local domain)
+   INTEGER, PUBLIC, DIMENSION(jpjdta) ::   mj0, mj1   !: global ==> local  domain j-index     !!bug ==> other solution?
+   !                                                  ! (mi0=1 and mi1=0 if the global index is not in the local domain)
+   INTEGER, PUBLIC, DIMENSION(jpnij)  ::   nimppt, njmppt   !: i-, j-indexes for each processor
+   INTEGER, PUBLIC, DIMENSION(jpnij)  ::   ibonit, ibonjt   !: i-, j- processor neighbour existence
+   INTEGER, PUBLIC, DIMENSION(jpnij)  ::   nlcit , nlcjt    !: dimensions of every subdomain
+   INTEGER, PUBLIC, DIMENSION(jpnij)  ::   nldit , nldjt    !: first, last indoor index for each i-domain
+   INTEGER, PUBLIC, DIMENSION(jpnij)  ::   nleit , nlejt    !: first, last indoor index for each j-domain
 
    !!----------------------------------------------------------------------
    !! horizontal curvilinear coordinate and scale factors
    !! ---------------------------------------------------------------------
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      glamt, glamu,    &  !: longitude of t-, u-, v- and f-points (degre)
-      glamv, glamf,    &  !:
-      gphit, gphiu,    &  !: latitude  of t-, u-, v- and f-points (degre)
-      gphiv, gphif,    &  !:
-      e1t, e2t,        &  !: horizontal scale factors at t-point (m)
-      e1u, e2u,        &  !: horizontal scale factors at u-point (m)
-      e1v, e2v,        &  !: horizontal scale factors at v-point (m)
-      e1f, e2f,        &  !: horizontal scale factors at f-point (m)
-      ff                  !: coriolis factor (2.*omega*sin(yphi) ) (s-1)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   glamt, glamu   !: longitude of t-, u-, v- and f-points (degre)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   glamv, glamf   !:
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   gphit, gphiu   !: latitude  of t-, u-, v- and f-points (degre)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   gphiv, gphif   !:
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   e1t, e2t       !: horizontal scale factors at t-point (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   e1u, e2u       !: horizontal scale factors at u-point (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   e1v, e2v       !: horizontal scale factors at v-point (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   e1f, e2f       !: horizontal scale factors at f-point (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ff             !: coriolis factor (2.*omega*sin(yphi) ) (s-1)
 
    !!----------------------------------------------------------------------
    !! vertical coordinate and scale factors
    !! --------------------------------------
-
-   LOGICAL, PUBLIC ::           & !!: namzgr : vertical coordinate
-      ln_zco     =  .TRUE.  ,   &  !: z-coordinate - full step
-      ln_zps     =  .FALSE. ,   &  !: z-coordinate - partial step
-      ln_sco     =  .FALSE.        !: s-coordinate or hybrid z-s coordinate
-
+   !                                           !!* Namelist namzgr : vertical coordinate *
+   LOGICAL, PUBLIC ::   ln_zco     =  .TRUE.    !: z-coordinate - full step
+   LOGICAL, PUBLIC ::   ln_zps     =  .FALSE.   !: z-coordinate - partial step
+   LOGICAL, PUBLIC ::   ln_sco     =  .FALSE.   !: s-coordinate or hybrid z-s coordinate
 #if defined key_zco
    LOGICAL, PUBLIC, PARAMETER ::   lk_zco = .TRUE.    !: z-coordinate flag (1D arrays)
@@ -104,14 +127,14 @@
    !! All coordinates
    !! ---------------
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &  !:
-      gdep3w        ,    &  !: depth of T-points (sum of e3w) (m)
-      gdept , gdepw ,    &  !: analytical depth at T-W  points (m)
-      e3v   , e3f   ,    &  !: analytical vertical scale factors at  V--F
-      e3t   , e3u   ,    &  !:                                       T--U  points (m)
-      e3vw          ,    &  !: analytical vertical scale factors at  VW--
-      e3w   , e3uw          !:                                        W--UW  points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   gdep3w          !: depth of T-points (sum of e3w) (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   gdept , gdepw   !: analytical depth at T-W  points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   e3v   , e3f     !: analytical vertical scale factors at  V--F
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   e3t   , e3u     !:                                       T--U  points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   e3vw            !: analytical vertical scale factors at  VW--
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   e3w   , e3uw    !:                                        W--UW  points (m)
 #endif
 #if defined key_vvl
    LOGICAL, PUBLIC, PARAMETER ::   lk_vvl = .TRUE.    !: variable grid flag
+
    !! All coordinates
    !! ---------------
@@ -125,66 +148,46 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_vvl = .FALSE.   !: fixed grid flag
 #endif
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
-      hur, hvr,          &  !: inverse of u and v-points ocean depth (1/m)
-      hu , hv,           &  !: depth at u- and v-points (meters)
-      hu_0 , hv_0           !: refernce depth at u- and v-points (meters)
-
-   INTEGER, PUBLIC            ::   nla10              !: deepest    W level Above  ~10m (nlb10 - 1)
-   INTEGER, PUBLIC            ::   nlb10              !: shallowest W level Bellow ~10m (nla10 + 1) 
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hur  , hvr    !: inverse of u and v-points ocean depth (1/m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hu   , hv     !: depth at u- and v-points (meters)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hu_0 , hv_0   !: refernce depth at u- and v-points (meters)
+
+   INTEGER, PUBLIC ::   nla10              !: deepest    W level Above  ~10m (nlb10 - 1)
+   INTEGER, PUBLIC ::   nlb10              !: shallowest W level Bellow ~10m (nla10 + 1) 
 
    !! z-coordinate with full steps (also used in the other cases as reference z-coordinate)
    !! =-----------------====------
-   REAL(wp), PUBLIC, DIMENSION(jpk) ::   &  !:
-      gdept_0, gdepw_0,       &  !: reference depth of t- and w-points (m)
-      e3t_0  , e3w_0             !: reference vertical scale factors at T- and W-pts (m)
-
-   !! z-coordinate with partial steps
-   !! =-----------------=======------
-   REAL(wp), PUBLIC ::      & !!: * namelist namdom *
-      e3zps_min = 5.0_wp,   &  !: miminum thickness for partial steps (meters)
-      e3zps_rat = 0.1_wp       !: minimum thickness ration for partial steps
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &  !:
-      hdept, hdepw, e3tp, e3wp   !: bottom depth and thickness at T and W points
+   REAL(wp), PUBLIC, DIMENSION(jpk)     ::   gdept_0, gdepw_0   !: reference depth of t- and w-points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpk)     ::   e3t_0  , e3w_0     !: reference vertical scale factors at T- and W-pts (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hdept  , hdepw     !: ocean bottom depth at T and W points
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   e3tp   , e3wp      !: ocean bottom level thickness at T and W points
 
    !! s-coordinate and hybrid z-s-coordinate
    !! =----------------======---------------
-   REAL(wp), PUBLIC, DIMENSION(jpk) ::   &   !:
-      gsigt, gsigw ,   &  !: model level depth coefficient at t-, w-levels (analytic)
-      gsi3w        ,   &  !: model level depth coefficient at w-level (sum of gsigw)
-      esigt, esigw        !: vertical scale factor coef. at t-, w-levels
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
-      hbatv , hbatf ,   &  !: ocean depth at the vertical of  V--F
-      hbatt , hbatu ,   &  !:                                 T--U  points (m)
-      scosrf, scobot,   &  !:  ocean surface and bottom topographies (if deviating from coordinate surfaces in HYBRID)
-      hifv  , hiff  ,   &  !: interface depth between stretching    at  V--F
-      hift  , hifu         !: and quasi-uniform spacing                 T--U  points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpk) ::   gsigt, gsigw   !: model level depth coefficient at t-, w-levels (analytic)
+   REAL(wp), PUBLIC, DIMENSION(jpk) ::   gsi3w          !: model level depth coefficient at w-level (sum of gsigw)
+   REAL(wp), PUBLIC, DIMENSION(jpk) ::   esigt, esigw   !: vertical scale factor coef. at t-, w-levels
+
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hbatv , hbatf    !: ocean depth at the vertical of  V--F
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hbatt , hbatu    !:                                 T--U  points (m)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   scosrf, scobot   !: ocean surface and bottom topographies 
+   !                                                          !  (if deviating from coordinate surfaces in HYBRID)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hifv  , hiff     !: interface depth between stretching    at  V--F
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   hift  , hifu     !: and quasi-uniform spacing                 T--U  points (m)
 
    !!----------------------------------------------------------------------
    !! masks, bathymetry
    !! -----------------
-
-   INTEGER , PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
-      mbathy     !: number of ocean level (=0, 1, ... , jpk-1)
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
-      bathy  ,         &  !: ocean depth (meters)
-      tmask_i,         &  !: interior domain T-point mask
-      bmask               !: land/ocean mask of barotropic stream function
-
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &   !:
-      tmask, umask,    &  !: land/ocean mask at T-, U-, V- and F-points
-      vmask, fmask        !:
-
-   REAL(wp), PUBLIC, DIMENSION(jpiglo) ::   &   !:
-      tpol, fpol          !: north fold mask (nperio= 3 or 4)
+   INTEGER , PUBLIC, DIMENSION(jpi,jpj) ::   mbathy    !: number of ocean level (=0, 1, ... , jpk-1)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   bathy     !: ocean depth (meters)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   tmask_i   !: interior domain T-point mask
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   bmask     !: land/ocean mask of barotropic stream function
+
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   tmask, umask, vmask, fmask   !: land/ocean mask at T-, U-, V- and F-points
+
+   REAL(wp), PUBLIC, DIMENSION(jpiglo) ::   tpol, fpol          !: north fold mask (nperio= 3 or 4)
 
 #if defined key_noslip_accurate
-   INTEGER, PUBLIC, DIMENSION(4,jpk) ::   &   !:
-      npcoa               !: ???
-   INTEGER, PUBLIC, DIMENSION(2*(jpi+jpj),4,jpk) ::   &   !:
-      nicoa,           &  !: ???
-      njcoa               !: ???
+   INTEGER, PUBLIC, DIMENSION            (4,jpk) ::   npcoa          !: ???
+   INTEGER, PUBLIC, DIMENSION(2*(jpi+jpj),4,jpk) ::   nicoa, njcoa   !: ???
 #endif
 
@@ -198,31 +201,4 @@
 #endif
 
-
-   !!----------------------------------------------------------------------
-   !! time domain
-   !!----------------------------------------------------------------------
-   INTEGER, PUBLIC ::      & !!: * Namelist * ???
-      nacc   = 0   ,       &  !: = 0/1 use of the acceleration of convergence technique
-      neuler       ,       &  !: restart euler forward option (0=Euler)
-      nn_baro = 64            !: number of barotropic time steps (key_dynspg_ts)
-
-   REAL(wp), PUBLIC ::       & !!: * Namelist ??? *
-      rdt    = 3600._wp ,    &  !: time step for the dynamics (and tracer if nacc=0)
-      rdtmin = 3600._wp ,    &  !: minimum time step on tracers
-      rdtmax = 3600._wp ,    &  !: maximum time step on tracers
-      rdth   =  800._wp ,    &  !: depth variation of tracer step
-      atfp   = 0.1_wp   ,    &  !: asselin time filter parameter
-      atfp1                     !: asselin time filter coeff. (atfp1= 1-2*atfp)
-
-   REAL(wp), PUBLIC, DIMENSION(jpk) ::   &  !:
-      rdttra                    !: vertical profile of tracer time step
-
-   !!----------------------------------------------------------------------
-   !! cross land advection
-   !!----------------------------------------------------------------------
-
-   INTEGER, PUBLIC ::       & !!: namelist ???
-      n_cla                    !: flag (0/1) for cross land advection to
-      !                        ! parameterize exchanges through straits
-
+   !!======================================================================
 END MODULE dom_oce