Index: trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1603)
@@ -155,5 +155,5 @@
            basedir="`dirname ${zf2check}`"
            echo "`tail -1 ${zf2check}`" > temp1
-           echo "`grep nitend ${basedir}/namelist`" > temp2
+           echo "`grep nn_itend ${basedir}/namelist`" > temp2
            typeset -Z4 ziter_run
            typeset -Z4 ziter_ask
Index: trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_GYRE.ksh	(revision 1603)
@@ -86,22 +86,22 @@
 
 # namelist modifications
-PAT_NIT000=$( supergrep nit000             namelist )
-PAT_NITEND=$( supergrep nitend             namelist )
-PAT_NSTOCK=$( supergrep nstock             namelist )
-PAT_NWRITE=$( supergrep nwrite             namelist )
-PAT_NRSTDT=$( supergrep nrstdt             namelist )
-PAT_NBITCM=$( supergrep nbit_cmp           namelist )
-PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_NIT000=$( supergrep nn_it000           namelist )
+PAT_NITEND=$( supergrep nn_itend           namelist )
+PAT_NSTOCK=$( supergrep nn_stock           namelist )
+PAT_NWRITE=$( supergrep nn_write           namelist )
+PAT_NRSTDT=$( supergrep nn_rstctl          namelist )
+PAT_NBITCM=$( supergrep nn_bit_cmp         namelist )
+PAT_NSOLVV=$( supergrep nn_solv            namelist )
 PAT_RESTAR=$( supergrep ln_rstart          namelist )
 PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
 
 sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
-    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
-    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NWRITE%   nwrite     =     60  %"           \
-    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
-    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
-    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_NIT000%   nn_it000    =     1   %"           \
+    -e "s%$PAT_NITEND%   nn_itend    =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nn_stock    =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nn_write    =     60  %"           \
+    -e "s%$PAT_NRSTDT%   nn_rstctl   =     0   %"           \
+    -e "s%$PAT_NBITCM%   nn_bit_cmp  =     1%"              \
+    -e "s%$PAT_NSOLVV%   nn_solv     =      2%"              \
     -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
 
@@ -129,7 +129,7 @@
 
     # Ocean namelist modifications
-    PAT_NIT000=$( supergrep nit000             namelist )
-    PAT_NITEND=$( supergrep nitend             namelist )
-    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_NIT000=$( supergrep nn_it000             namelist )
+    PAT_NITEND=$( supergrep nn_itend             namelist )
+    PAT_NRSTDT=$( supergrep nn_rstctl             namelist )
     PAT_RESTAR=$( supergrep ln_rstart          namelist )
     PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
@@ -138,7 +138,7 @@
     
     sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_NIT000%   nn_it000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nn_itend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl     =     2%"             \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
     
Index: trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_GYRE_LOBSTER.ksh	(revision 1603)
@@ -90,22 +90,22 @@
 
 # namelist modifications
-PAT_NIT000=$( supergrep nit000             namelist )
-PAT_NITEND=$( supergrep nitend             namelist )
-PAT_NSTOCK=$( supergrep nstock             namelist )
-PAT_NWRITE=$( supergrep nwrite             namelist )
-PAT_NRSTDT=$( supergrep nrstdt             namelist )
-PAT_NBITCM=$( supergrep nbit_cmp           namelist )
-PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_NIT000=$( supergrep nn_it000           namelist )
+PAT_NITEND=$( supergrep nn_itend           namelist )
+PAT_NSTOCK=$( supergrep nn_stock           namelist )
+PAT_NWRITE=$( supergrep nn_write           namelist )
+PAT_NRSTDT=$( supergrep nn_rstctl          namelist )
+PAT_NBITCM=$( supergrep nn_bit_cmp         namelist )
+PAT_NSOLVV=$( supergrep nn_solv            namelist )
 PAT_RESTAR=$( supergrep ln_rstart          namelist )
 PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
 
 sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
-    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
-    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NWRITE%   nwrite     =     60  %"           \
-    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
-    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
-    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_NIT000%   nn_it000    =     1   %"           \
+    -e "s%$PAT_NITEND%   nn_itend    =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nn_stock    =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nn_write    =     60  %"           \
+    -e "s%$PAT_NRSTDT%   nn_rstctl   =     0   %"           \
+    -e "s%$PAT_NBITCM%   nn_bit_cmp  =     1%"              \
+    -e "s%$PAT_NSOLVV%   nn_solv     =      2%"              \
     -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
 
@@ -154,7 +154,7 @@
 
     # Ocean namelist modifications
-    PAT_NIT000=$( supergrep nit000             namelist )
-    PAT_NITEND=$( supergrep nitend             namelist )
-    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_NIT000=$( supergrep nn_it000             namelist )
+    PAT_NITEND=$( supergrep nn_itend             namelist )
+    PAT_NRSTDT=$( supergrep nn_rstctl             namelist )
     PAT_RESTAR=$( supergrep ln_rstart          namelist )
     PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
@@ -163,7 +163,7 @@
     
     sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_NIT000%   nn_it000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nn_itend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl     =     2%"             \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
     
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM.ksh	(revision 1603)
@@ -106,28 +106,28 @@
 
 # namelist modifications
-PAT_NIT000=$( supergrep nit000             namelist )
-PAT_NITEND=$( supergrep nitend             namelist )
-PAT_NSTOCK=$( supergrep nstock             namelist )
-PAT_NWRITE=$( supergrep nwrite             namelist )
-PAT_NRSTDT=$( supergrep nrstdt             namelist )
-PAT_NBITCM=$( supergrep nbit_cmp           namelist )
+PAT_NIT000=$( supergrep nn_it000           namelist )
+PAT_NITEND=$( supergrep nn_itend           namelist )
+PAT_NSTOCK=$( supergrep nn_stock           namelist )
+PAT_NWRITE=$( supergrep nn_write           namelist )
+PAT_NRSTDT=$( supergrep nn_rstctl          namelist )
+PAT_NBITCM=$( supergrep nn_bit_cmp         namelist )
 PAT_TRACEN=$( supergrep ln_traadv_cen2     namelist )
 PAT_TRATVD=$( supergrep ln_traadv_tvd      namelist )
-PAT_N_CLAA=$( supergrep n_cla              namelist )
-PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_N_CLAA=$( supergrep nn_cla             namelist )
+PAT_NSOLVV=$( supergrep nn_solv            namelist )
 PAT_RESTAR=$( supergrep ln_rstart          namelist )
 PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
 
 sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
-    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
-    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NWRITE%   nwrite     =     75  %"           \
-    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
-    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
+    -e "s%$PAT_NIT000%   nn_it000     =     1   %"           \
+    -e "s%$PAT_NITEND%   nn_itend     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nn_stock     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nn_write     =     75  %"           \
+    -e "s%$PAT_NRSTDT%   nn_rstctl    =     0   %"           \
+    -e "s%$PAT_NBITCM%   nn_bit_cmp   =     1%"              \
     -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%"     \
     -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%"      \
-    -e "s%$PAT_N_CLAA%   n_cla   = 0%"                     \
-    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_N_CLAA%   nn_cla   = 0%"                     \
+    -e "s%$PAT_NSOLVV%   nn_solv     =      2%"              \
     -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
 
@@ -137,5 +137,5 @@
 ${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
 tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -rf ORCA2_LIM_nemo_v3.1.tar
+rm -f ORCA2_LIM_nemo_v3.1.tar
 
 # Get restarts files if needed
@@ -160,7 +160,7 @@
 
     # Ocean namelist modifications
-    PAT_NIT000=$( supergrep nit000             namelist )
-    PAT_NITEND=$( supergrep nitend             namelist )
-    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_NIT000=$( supergrep nn_it000             namelist )
+    PAT_NITEND=$( supergrep nn_itend             namelist )
+    PAT_NRSTDT=$( supergrep nn_rstctl             namelist )
     PAT_RESTAR=$( supergrep ln_rstart          namelist )
     PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
@@ -169,7 +169,7 @@
     
     sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_NIT000%   nn_it000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nn_itend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl     =     2%"             \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
     
@@ -205,5 +205,5 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
-#-T- sx8mercure  export F_PROGINF=detail
+#-T- sx8mercure export F_PROGINF=detail
 #-T- sx8mercure echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
 #-T- sx8mercure echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM3.ksh	(revision 1603)
@@ -106,28 +106,28 @@
 
 # namelist modifications
-PAT_NIT000=$( supergrep nit000             namelist )
-PAT_NITEND=$( supergrep nitend             namelist )
-PAT_NSTOCK=$( supergrep nstock             namelist )
-PAT_NWRITE=$( supergrep nwrite             namelist )
-PAT_NRSTDT=$( supergrep nrstdt             namelist )
-PAT_NBITCM=$( supergrep nbit_cmp           namelist )
+PAT_NIT000=$( supergrep nn_it000           namelist )
+PAT_NITEND=$( supergrep nn_itend           namelist )
+PAT_NSTOCK=$( supergrep nn_stock           namelist )
+PAT_NWRITE=$( supergrep nn_write           namelist )
+PAT_NRSTDT=$( supergrep nn_rstctl          namelist )
+PAT_NBITCM=$( supergrep nn_bit_cmp         namelist )
 PAT_TRACEN=$( supergrep ln_traadv_cen2     namelist )
 PAT_TRATVD=$( supergrep ln_traadv_tvd      namelist )
-PAT_N_CLAA=$( supergrep n_cla              namelist )
-PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_N_CLAA=$( supergrep nn_cla             namelist )
+PAT_NSOLVV=$( supergrep nn_solv            namelist )
 PAT_RESTAR=$( supergrep ln_rstart          namelist )
 PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
 
 sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
-    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
-    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NWRITE%   nwrite     =     75  %"           \
-    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
-    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
+    -e "s%$PAT_NIT000%   nn_it000     =     1   %"           \
+    -e "s%$PAT_NITEND%   nn_itend     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nn_stock     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nn_write     =     75  %"           \
+    -e "s%$PAT_NRSTDT%   nn_rstctl    =     0   %"           \
+    -e "s%$PAT_NBITCM%   nn_bit_cmp   =     1%"              \
     -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%"     \
     -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%"      \
-    -e "s%$PAT_N_CLAA%   n_cla   = 0%"                     \
-    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_N_CLAA%   nn_cla   = 0%"                     \
+    -e "s%$PAT_NSOLVV%   nn_solv     =      2%"              \
     -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
 
@@ -137,5 +137,5 @@
 ${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
 tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -rf ORCA2_LIM_nemo_v3.1.tar
+rm -f ORCA2_LIM_nemo_v3.1.tar
 
 # Get restarts files if needed
@@ -160,7 +160,7 @@
 
     # Ocean namelist modifications
-    PAT_NIT000=$( supergrep nit000             namelist )
-    PAT_NITEND=$( supergrep nitend             namelist )
-    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_NIT000=$( supergrep nn_it000             namelist )
+    PAT_NITEND=$( supergrep nn_itend             namelist )
+    PAT_NRSTDT=$( supergrep nn_rstctl             namelist )
     PAT_RESTAR=$( supergrep ln_rstart          namelist )
     PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
@@ -169,7 +169,7 @@
     
     sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_NIT000%   nn_it000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nn_itend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl     =     2%"             \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
     
@@ -205,5 +205,5 @@
 #-T- sx8brodie echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
 #-T- sx8brodie echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
-#-T- sx8mercure  export F_PROGINF=detail
+#-T- sx8mercure export F_PROGINF=detail
 #-T- sx8mercure echo "Stack memory: $( (size opa_${CONF}_${RUN}_${MYO_EXP}) )"    >> memory_size.txt 
 #-T- sx8mercure echo "Static memory: $( (size opa_${CONF}_memo_${MYO_EXP}) )"   >> memory_size.txt  ;;
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1603)
@@ -101,28 +101,28 @@
 
 # namelist modifications
-PAT_NIT000=$( supergrep nit000             namelist )
-PAT_NITEND=$( supergrep nitend             namelist )
-PAT_NSTOCK=$( supergrep nstock             namelist )
-PAT_NWRITE=$( supergrep nwrite             namelist )
-PAT_NRSTDT=$( supergrep nrstdt             namelist )
-PAT_NBITCM=$( supergrep nbit_cmp           namelist )
+PAT_NIT000=$( supergrep nn_it000           namelist )
+PAT_NITEND=$( supergrep nn_itend           namelist )
+PAT_NSTOCK=$( supergrep nn_stock           namelist )
+PAT_NWRITE=$( supergrep nn_write           namelist )
+PAT_NRSTDT=$( supergrep nn_rstctl          namelist )
+PAT_NBITCM=$( supergrep nn_bit_cmp         namelist )
 PAT_TRACEN=$( supergrep ln_traadv_cen2     namelist )
 PAT_TRATVD=$( supergrep ln_traadv_tvd      namelist )
-PAT_N_CLAA=$( supergrep n_cla              namelist )
-PAT_NSOLVV=$( supergrep nsolv              namelist )
+PAT_N_CLAA=$( supergrep nn_cla             namelist )
+PAT_NSOLVV=$( supergrep nn_solv            namelist )
 PAT_RESTAR=$( supergrep ln_rstart          namelist )
 PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
 
 sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"          \
-    -e "s%$PAT_NIT000%   nit000     =     1   %"           \
-    -e "s%$PAT_NITEND%   nitend     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NSTOCK%   nstock     =     ${ITERATIONS} %" \
-    -e "s%$PAT_NWRITE%   nwrite     =     75  %"           \
-    -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"           \
-    -e "s%$PAT_NBITCM%   nbit_cmp   =     1%"              \
+    -e "s%$PAT_NIT000%   nn_it000     =     1   %"           \
+    -e "s%$PAT_NITEND%   nn_itend     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NSTOCK%   nn_stock     =     ${ITERATIONS} %" \
+    -e "s%$PAT_NWRITE%   nn_write     =     75  %"           \
+    -e "s%$PAT_NRSTDT%   nn_rstctl    =     0   %"           \
+    -e "s%$PAT_NBITCM%   nn_bit_cmp   =     1%"              \
     -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%"     \
     -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%"      \
-    -e "s%$PAT_N_CLAA%   n_cla   = 0%"                     \
-    -e "s%$PAT_NSOLVV%   nsolv     =      2%"              \
+    -e "s%$PAT_N_CLAA%   nn_cla   = 0%"                     \
+    -e "s%$PAT_NSOLVV%   nn_solv     =      2%"              \
     -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" namelist > nam.tmp
 
@@ -186,7 +186,7 @@
 
     # Ocean namelist modifications
-    PAT_NIT000=$( supergrep nit000             namelist )
-    PAT_NITEND=$( supergrep nitend             namelist )
-    PAT_NRSTDT=$( supergrep nrstdt             namelist )
+    PAT_NIT000=$( supergrep nn_it000             namelist )
+    PAT_NITEND=$( supergrep nn_itend             namelist )
+    PAT_NRSTDT=$( supergrep nn_rstctl             namelist )
     PAT_RESTAR=$( supergrep ln_rstart          namelist )
     PAT_RESMLD=$( supergrep ln_trdmld_restart  namelist )
@@ -195,7 +195,7 @@
     
     sed  -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-         -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-         -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+         -e "s%$PAT_NIT000%   nn_it000     =     $ORCA_NIT000 %" \
+         -e "s%$PAT_NITEND%   nn_itend     =     $ORCA_NITEND %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl     =     2%"             \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" namelist > nam.tmp
     
@@ -268,5 +268,5 @@
         'mpi' ) 
 #-T- sx8brodie         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
-#-T- sx8mercure         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- sx8mercure        ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- osxxlf   mpd&
Index: trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1597)
+++ trunk/NVTK/INSTALL/JOBS/job_ZAGRIF.ksh	(revision 1603)
@@ -101,22 +101,22 @@
 do
      # namelist modifications
-     PAT_NIT000=$( supergrep nit000             ${CHGFILE} )
-     PAT_NITEND=$( supergrep nitend             ${CHGFILE} )
-     PAT_NSTOCK=$( supergrep nstock             ${CHGFILE} )
-     PAT_NWRITE=$( supergrep nwrite             ${CHGFILE} )
-     PAT_NRSTDT=$( supergrep nrstdt             ${CHGFILE} )
-     PAT_NBITCM=$( supergrep nbit_cmp           ${CHGFILE} )
-     PAT_TRACEN=$( supergrep ln_traadv_cen2     ${CHGFILE} )
-     PAT_TRATVD=$( supergrep ln_traadv_tvd      ${CHGFILE} )
-     PAT_N_CLAA=$( supergrep n_cla              ${CHGFILE} )
-     PAT_NSOLVV=$( supergrep nsolv              ${CHGFILE} )
+     PAT_NIT000=$( supergrep nn_it000             ${CHGFILE} )
+     PAT_NITEND=$( supergrep nn_itend             ${CHGFILE} )
+     PAT_NSTOCK=$( supergrep nn_stock             ${CHGFILE} )
+     PAT_NWRITE=$( supergrep nn_write             ${CHGFILE} )
+     PAT_NRSTDT=$( supergrep nn_rstctl            ${CHGFILE} )
+     PAT_NBITCM=$( supergrep nn_bit_cmp           ${CHGFILE} )
+     PAT_TRACEN=$( supergrep ln_traadv_cen2       ${CHGFILE} )
+     PAT_TRATVD=$( supergrep ln_traadv_tvd        ${CHGFILE} )
+     PAT_N_CLAA=$( supergrep nn_cla               ${CHGFILE} )
+     PAT_NSOLVV=$( supergrep nn_solv              ${CHGFILE} )
      PAT_RESTAR=$( supergrep ln_rstart          ${CHGFILE} )
      PAT_RESMLD=$( supergrep ln_trdmld_restart  ${CHGFILE} )
-     PAT_NAMECF=$( supergrep cexper             ${CHGFILE} )
+     PAT_NAMECF=$( supergrep cn_exp             ${CHGFILE} )
 
     if [ ${CHGFILE} = 'namelist' ] ; then
         ORCA_NITEND=$(( $ITERATIONS   ))
         ORCA_NSTOCK=$(( $NOUTPUT   ))
-        PAT_NAMECF_tmp="   cexper     =     \"${CONF}\""
+        PAT_NAMECF_tmp="   cn_exp     =     \"${CONF}\""
     else
         ORCA_NITEND=$(( $ITERATIONS*2 ))
@@ -127,14 +127,14 @@
      sed -e "s%$PAT_RESTAR%   ln_rstart   =  .false.%"           \
          -e "s%$PAT_NAMECF%$PAT_NAMECF_tmp%"                     \
-         -e "s%$PAT_NIT000%   nit000     =     1   %"            \
-         -e "s%$PAT_NITEND%   nitend     =     ${ORCA_NITEND} %" \
-         -e "s%$PAT_NSTOCK%   nstock     =     ${ORCA_NITEND} %" \
-         -e "s%$PAT_NWRITE%   nwrite     =     ${ORCA_NSTOCK} %" \
-         -e "s%$PAT_NRSTDT%   nrstdt     =     0   %"            \
-         -e "s%$PAT_NBITCM%   nbit_cmp =     1%"                 \
+         -e "s%$PAT_NIT000%   nn_it000     =     1   %"            \
+         -e "s%$PAT_NITEND%   nn_itend     =     ${ORCA_NITEND} %" \
+         -e "s%$PAT_NSTOCK%   nn_stock     =     ${ORCA_NITEND} %" \
+         -e "s%$PAT_NWRITE%   nn_write     =     ${ORCA_NSTOCK} %" \
+         -e "s%$PAT_NRSTDT%   nn_rstctl    =     0   %"            \
+         -e "s%$PAT_NBITCM%   nn_bit_cmp   =     1%"                 \
          -e "s%$PAT_TRACEN%   ln_traadv_cen2   =  .false.%"      \
          -e "s%$PAT_TRATVD%   ln_traadv_tvd    =  .true.%"       \
-         -e "s%$PAT_N_CLAA%   n_cla   = 0%"                      \
-         -e "s%$PAT_NSOLVV%   nsolv     =      2%"               \
+         -e "s%$PAT_N_CLAA%   nn_cla   = 0%"                      \
+         -e "s%$PAT_NSOLVV%   nn_solv  =      2%"               \
          -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .false.%" ${CHGFILE} > nam.$$
      
@@ -145,5 +145,5 @@
 ${D_GET} ${D_INPUT}/ORCA2_LIM_nemo_v3.1.tar ORCA2_LIM_nemo_v3.1.tar
 tar xvf ORCA2_LIM_nemo_v3.1.tar
-rm -rf ORCA2_LIM_nemo_v3.1.tar
+rm -f ORCA2_LIM_nemo_v3.1.tar
 
 # Get restarts files if needed
@@ -174,7 +174,7 @@
     do
         # namelist modifications
-        PAT_NIT000=$( supergrep nit000             ${CHGFILE} )
-        PAT_NITEND=$( supergrep nitend             ${CHGFILE} )
-        PAT_NRSTDT=$( supergrep nrstdt             ${CHGFILE} )
+        PAT_NIT000=$( supergrep nn_it000             ${CHGFILE} )
+        PAT_NITEND=$( supergrep nn_itend             ${CHGFILE} )
+        PAT_NRSTDT=$( supergrep nn_rstctl            ${CHGFILE} )
         PAT_RESTAR=$( supergrep ln_rstart          ${CHGFILE} )
         PAT_RESMLD=$( supergrep ln_trdmld_restart  ${CHGFILE} )
@@ -189,7 +189,7 @@
         
         sed -e "s%$PAT_RESTAR%   ln_rstart   =  .true.%"          \
-            -e "s%$PAT_NIT000%   nit000     =     $ORCA_NIT000 %" \
-            -e "s%$PAT_NITEND%   nitend     =     $ORCA_NITEND %" \
-            -e "s%$PAT_NRSTDT%   nrstdt     =     2%"             \
+            -e "s%$PAT_NIT000%   nn_it000    =     $ORCA_NIT000 %" \
+            -e "s%$PAT_NITEND%   nn_itend    =     $ORCA_NITEND %" \
+            -e "s%$PAT_NRSTDT%   nn_rstctl   =     2%"             \
             -e "s%$PAT_RESMLD%   ln_trdmld_restart =  .true.%" ${CHGFILE} > nam.$$
         
@@ -207,6 +207,6 @@
 ##############################################################
 
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
-cp ${WORK}/NEMO_VALID/W${CONF}/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
+cp ${MAINDIR}/modipsl/bin/opa_${CONF}_${RUN}_${MYO_EXP} opa_${CONF}_${RUN}_${MYO_EXP}
+cp ${MAINDIR}/modipsl/bin/opa_${CONF}_memo_${MYO_EXP} opa_${CONF}_memo_${MYO_EXP}
 chmod 777 opa_${CONF}_${RUN}_${MYO_EXP}
 chmod 777 opa_${CONF}_memo_${MYO_EXP}
@@ -247,5 +247,5 @@
         'mpi' ) 
 #-T- sx8brodie         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
-#-T- sx8mercure         ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
+#-T- sx8mercure        ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 #-T- aix6              ${CPERF} ${LEXE} ./opa_${CONF}_${RUN}_${MYO_EXP} ;;
 esac